package com.bonus.system.holiday.service;

import com.bonus.system.holiday.entity.HolidayBean;
import com.bonus.system.holiday.entity.WorkReportBean;

import java.util.List;

/**
 * 工作安排统计报表
 * @author hay
 */
public interface RequestReportService {


    /**
     * 添加请假数据
     * @param o 参数
     * @return list bean
     */
    int insertHoliday(HolidayBean o);

    /**
    * 查询数据
    * @param month
    * @return
    */
    List<WorkReportBean> selectDataByMonth(String month);

    /**
     * 新增数据
     * @param bean
     * @return
     */
    int insertWorkReportData(WorkReportBean bean);

    /**
     * 查询数据
     * @param bean
     * @return
     */
    List<WorkReportBean> getWorkReportList(WorkReportBean bean);

    /**
     * 查询详情数据
     * @param bean
     * @return
     */
    List<WorkReportBean> getDetailsList(WorkReportBean bean);

    /**
     * 审核
     * @param bean
     * @return
     */
    int setCheck(WorkReportBean bean);
}
